# H4508_Name Class Reference

`#include <h4508.h>`

List of all members.

## Public Types

enum | Choices { e_namePresentationAllowed, e_namePresentationRestricted, e_nameNotAvailable }

## Public Member Functions

| H4508_Name (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H4508_NamePresentationAllowed & ()
| operator const H4508_NamePresentationAllowed & () const
| operator H4508_NamePresentationRestricted & ()
| operator const H4508_NamePresentationRestricted & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H4508_Name::Choices

Enumerator:

  e_namePresentationAllowed |
  e_namePresentationRestricted |
  e_nameNotAvailable |

## Constructor & Destructor Documentation

H4508_Name::H4508_Name | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H4508_Name::operator H4508_NamePresentationAllowed & | ( |  | ) |

H4508_Name::operator const H4508_NamePresentationAllowed & | ( |  | ) | const

H4508_Name::operator H4508_NamePresentationRestricted & | ( |  | ) |

H4508_Name::operator const H4508_NamePresentationRestricted & | ( |  | ) | const

PBoolean H4508_Name::CreateObject | ( |  | ) |

PObject* H4508_Name::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h4508.h